Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlrt.ede
Interface EventTypeRepository

public interface EventTypeRepository
extends Iterable

EventTypeRepository is a repository of the event types

Field Summary
`static String` | `SERVICE_FILTER`
`static String` | `SERVICE_ID`

Method Summary
`EventType` | `getEventType(String name)`
`Set` | `getEventTypes()`
`EventType` | `registerEventType(String eventType, Class supportingClass)` Registers event types into repository.
`EventType` | `registerEventType(String eventType, EventType type)` Registers event types into repository.
`EventType` | `registerEventType(String eventType, Properties properties)` Registers event types into repository.
`EventType` | `registerEventType(String eventType, Properties properties, EventBuilder.Factory builderFactory)`
`void` | `removeEventType(EventType type)`

Methods inherited from interface java.lang.Iterable
`iterator`

Field Detail

### SERVICE_ID

    public static final String SERVICE_ID

### SERVICE_FILTER

    public static final String SERVICE_FILTER

Method Detail

### registerEventType

    public EventType registerEventType(String eventType,
                                       Properties properties)

  Registers event types into repository. Event types are used by Processors for type checking. For example, the BEA EPL processor references the event type repository during the compilation of EPL queries to perform semantic verification. An event type is defined by a set of properties. A property contains a property name, of type java.lang.String, and a property type, which is represented by a short-hand string for all native Java types: "string", "boolean", "long", etc.

  Parameters:
    `eventType` - Event type identifier (e.g. MyEvent, StockEvent)
    `properties` - Metadata of event type
  Returns:
    EventType object representing registered type.

### registerEventType

    public EventType registerEventType(String eventType,
                                       Properties properties,
                                       EventBuilder.Factory builderFactory)

### removeEventType

    public void removeEventType(EventType type)

### getEventType

    public EventType getEventType(String name)

### getEventTypes

    public Set getEventTypes()

### registerEventType

    public EventType registerEventType(String eventType,
                                       EventType type)

  Registers event types into repository. Event types are used by Processors for type checking. For example, the BEA EPL processor references the event type repository during the compilation of EPL queries to perform semantic verification. An event type is defined by a set of properties. A property contains a property name, of type java.lang.String, and a property type, which is represented by a short-hand string for all native Java types: "string", "boolean", "long", etc.

  Parameters:
    `eventType` - Event type identifier (e.g. MyEvent, StockEvent)
    `type` - Metadata of event type
  Returns:
    EventType object representing registered type.

### registerEventType

    public EventType registerEventType(String eventType,
                                       Class supportingClass)

  Registers event types into repository. Event types are used by Processors for type checking. For example, the BEA EPL processor references the event type repository during the compilation of EPL queries to perform semantic verification. An event type is defined by a supporting class that is invoked via reflection.

  Parameters:
    `eventType` - Event type identifier (e.g. MyEvent, StockEvent)
    `supportingClass` - eventType interface
  Returns:
    EventType object representing registered type.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD